## stuff - archive creator

stuff is an application that creates archives and encoded files in multiple compressed and encoded formats. It is a command-line utility that uses the StuffIt Engine shared library.

### Command Line Syntax

stuff is invoked from the command line as follows:

        stuff [POSIX or GNU style options] (files/directories...)

where `(files/directories...)` is one or more parameters listing files and/or directories to put into a new archive.

#### Options

Command-line options are distinguished from arguments (archive names) by one or two dashes. Short (one-character) options are preceded by one dash, long (multi-character) options are preceded by two dashes. Some options have only a short or a long form; some have both.

Options are listed in two sections, one for common options and another for advanced options, in alphabetical order within each section.

##### Common Options

Long form | Short form | Default | Description
`--eol=[option]` | `-e=[option]` | `native` | Selects one of the following text type options, represented by `[option]`: `native`, `win`, `windows`, `crlf`, `unix`, `lf`, `mac`, `macintosh`, `cr`.
`--format=[format]` | `-f=[format]` | `sit5` | Determines what archive format is created: `format` is the format of the new archive: one of `sit`, `sit5`, `cpt`, `zip`, `arc`, `arj`, `lha`, `ha`, `rar`, `gz`, `compress`, `sco`, `pack`, `compact`, `freeze`, `uu`, `hqx`, `btoa`, `mime`, `tar`, `bin`, `sitseg`, or `pf`. Not all listed formats are supported; to determine which ones are, use `--formats`.
`--formats` |  |  | Shows archive formats supported by the StuffIt Engine. For each file format, writer support is listed.
`--level=[level]` | `-l=[level]` | [automatic] | Assigns the archive compression level.
`--name=[file]` | `-n=[file]` |  | Sets the name of the archive to be created.
`--password=[password]` | `-p=[password]` |  | Sets the password to be used in the operation.
`--quiet` | `-q` | [no] | Suppresses all messages normally printed during operation.
`--version` | `-v` | [no] | Shows StuffIt Engine version information.

##### Advanced Options

Long form | Short form | Default | Description
`--abort-on-error` |  | [no] | Aborts the operation when a recoverable error is encountered.
`--comment=[comment]` |  | [none] | Assigns the archive comment.
`--formats` |  | [no] | Shows archive formats supported by StuffIt Engine. For each file format, writer support is listed.
`--key-size=[size]` |  | `16` | Sets key size (in bytes) for encrypted formats that support multiple key sizes.
`--mac-creator=[creator]` |  | `????` | Sets four-character Macintosh creator in MacBinary format.
`--mac-type=[type]` |  | `????` | Sets four-character Macintosh type in MacBinary format.
`--pause` |  | [no] | Pauses and waits for a keystroke at the end.
`--salt=[salt]` |  | [random] | Sets the salt to add to the password. `salt` is a hexadecimal string of even length that depends on the encryption algorithm used in the format being created. This option is used only for testing purposes.
`--size=[size]` |  | 65536 | Sets the segment size in a segmented format.
`--threaded` |  | [no] | Allows parallel (threaded) operation. A separate archive is created for each input argument.
`--trace` |  | [no] | Prints trace information for use in debugging.

#### Examples

Command line | Description
`stuff file` | Creates a StuffIt5 archive from a file named `file`.
`stuff --format=Zip file` | Creates a Zip archive from a file named `file`.
`stuff --format=Zip --comp-level=9 file` | Creates a Zip archive from a file named `file`, using the maximum compression level (which is also the slowest to compress).
`stuff --name=newarchive.sit dir` | Creates a StuffIt5 archive named `newarchive.sit` from a directory named `dir` and everything it contains (files and subdirectories, recursively).
`stuff --password=abcdef file1 file2` | Creates an encrypted StuffIt5 archive from two files: `file1` and `file2`.
`stuff --format=BinHex --eol=mac file1 file2` | Creates a BinHex encoded file containing two files: `file1` and `file2`, concatenated. The BinHex file is a Macintosh text file (with CR-only end-of-lines).

| Copyright ©1995-2001 Aladdin Systems, Inc. All Rights reserved.

$Id: stuff.html,v 1.7 2001/03/24 00:51:26 serge Exp $